Subject: Integrate possibility to determine NULL values in TypoScript
Description

Currently there's no possibility to handle NULL values in TypoScript. This is related to the feature "Add possibility to store NULL
values (#41773)".

Examples:

    -  (stdWrap).ifNull

10 = COA
10 {
  field = description
  stdWrap.ifNull = No description defined
}

    -  (stdWrap).if.isNull

10 = COA
10 {
  10 = TEXT
  10 {
    if.isNull.field = description
    value = No description defined
  }
}

Related issues:
related to Core - Feature # 41773: Add possibility to store NULL values Resolved 2012-10-09
related to TypoScript Reference (TSref) - Feature # 43181: Integrate NULL val... Closed 2012-11-20
precedes TypoScript Reference (TSref) - Task # 43364: Add examples for stdWra... Closed 2012-11-27

Associated revisions
Revision 636ad6c8 - 2012-11-21 00:39 - Oliver Hader

[FEATURE] Integrate possibility to determine NULL values in TypoScript

Currently there's no possibility to handle NULL values in
TypoScript. This is related to the feature "Add possibility
to store NULL values (#41773)".
Thus, two new elements are integrated:
    -  (stdWrap).ifNull -> string/stdWrap
    -  (stdWrap).if.isNull -> stdWrap

Change-Id: I77a29341c66edaf3bef14de33f65c702fbbb9fbd
Resolves: #43133
Releases: 6.0
Reviewed-on: http://review.typo3.org/16637
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2012-11-20 21:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16637

#2 - 2012-11-20 21:44 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16637

#3 - 2012-11-20 21:59 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16637

#4 - 2012-11-21 01:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:636ad6c8d5f09ad57ec1ce7b2a8e675a0cc9bb87.
